/*******************************************************************************
* File Name: ENCA.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_ENCA_H) /* Pins ENCA_H */
#define CY_PINS_ENCA_H

#include "cytypes.h"
#include "cyfitter.h"
#include "ENCA_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    ENCA_Write(uint8 value) ;
void    ENCA_SetDriveMode(uint8 mode) ;
uint8   ENCA_ReadDataReg(void) ;
uint8   ENCA_Read(void) ;
uint8   ENCA_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define ENCA_DRIVE_MODE_BITS        (3)
#define ENCA_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - ENCA_DRIVE_MODE_BITS))

#define ENCA_DM_ALG_HIZ         (0x00u)
#define ENCA_DM_DIG_HIZ         (0x01u)
#define ENCA_DM_RES_UP          (0x02u)
#define ENCA_DM_RES_DWN         (0x03u)
#define ENCA_DM_OD_LO           (0x04u)
#define ENCA_DM_OD_HI           (0x05u)
#define ENCA_DM_STRONG          (0x06u)
#define ENCA_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define ENCA_MASK               ENCA__MASK
#define ENCA_SHIFT              ENCA__SHIFT
#define ENCA_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define ENCA_PS                     (* (reg32 *) ENCA__PS)
/* Port Configuration */
#define ENCA_PC                     (* (reg32 *) ENCA__PC)
/* Data Register */
#define ENCA_DR                     (* (reg32 *) ENCA__DR)
/* Input Buffer Disable Override */
#define ENCA_INP_DIS                (* (reg32 *) ENCA__PC2)


#if defined(ENCA__INTSTAT)  /* Interrupt Registers */

    #define ENCA_INTSTAT                (* (reg32 *) ENCA__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define ENCA_DRIVE_MODE_SHIFT       (0x00u)
#define ENCA_DRIVE_MODE_MASK        (0x07u << ENCA_DRIVE_MODE_SHIFT)


#endif /* End Pins ENCA_H */


/* [] END OF FILE */
