/*******************************************************************************
* File Name: ENCB_deb.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_ENCB_deb_H) /* Pins ENCB_deb_H */
#define CY_PINS_ENCB_deb_H

#include "cytypes.h"
#include "cyfitter.h"
#include "ENCB_deb_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    ENCB_deb_Write(uint8 value) ;
void    ENCB_deb_SetDriveMode(uint8 mode) ;
uint8   ENCB_deb_ReadDataReg(void) ;
uint8   ENCB_deb_Read(void) ;
uint8   ENCB_deb_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define ENCB_deb_DRIVE_MODE_BITS        (3)
#define ENCB_deb_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - ENCB_deb_DRIVE_MODE_BITS))

#define ENCB_deb_DM_ALG_HIZ         (0x00u)
#define ENCB_deb_DM_DIG_HIZ         (0x01u)
#define ENCB_deb_DM_RES_UP          (0x02u)
#define ENCB_deb_DM_RES_DWN         (0x03u)
#define ENCB_deb_DM_OD_LO           (0x04u)
#define ENCB_deb_DM_OD_HI           (0x05u)
#define ENCB_deb_DM_STRONG          (0x06u)
#define ENCB_deb_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define ENCB_deb_MASK               ENCB_deb__MASK
#define ENCB_deb_SHIFT              ENCB_deb__SHIFT
#define ENCB_deb_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define ENCB_deb_PS                     (* (reg32 *) ENCB_deb__PS)
/* Port Configuration */
#define ENCB_deb_PC                     (* (reg32 *) ENCB_deb__PC)
/* Data Register */
#define ENCB_deb_DR                     (* (reg32 *) ENCB_deb__DR)
/* Input Buffer Disable Override */
#define ENCB_deb_INP_DIS                (* (reg32 *) ENCB_deb__PC2)


#if defined(ENCB_deb__INTSTAT)  /* Interrupt Registers */

    #define ENCB_deb_INTSTAT                (* (reg32 *) ENCB_deb__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define ENCB_deb_DRIVE_MODE_SHIFT       (0x00u)
#define ENCB_deb_DRIVE_MODE_MASK        (0x07u << ENCB_deb_DRIVE_MODE_SHIFT)


#endif /* End Pins ENCB_deb_H */


/* [] END OF FILE */
