/*******************************************************************************
* File Name: PinOutB.h  
* Version 2.5
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_PinOutB_H) /* Pins PinOutB_H */
#define CY_PINS_PinOutB_H

#include "cytypes.h"
#include "cyfitter.h"
#include "PinOutB_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    PinOutB_Write(uint8 value) ;
void    PinOutB_SetDriveMode(uint8 mode) ;
uint8   PinOutB_ReadDataReg(void) ;
uint8   PinOutB_Read(void) ;
uint8   PinOutB_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define PinOutB_DRIVE_MODE_BITS        (3)
#define PinOutB_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - PinOutB_DRIVE_MODE_BITS))
#define PinOutB_DRIVE_MODE_SHIFT       (0x00u)
#define PinOutB_DRIVE_MODE_MASK        (0x07u << PinOutB_DRIVE_MODE_SHIFT)

#define PinOutB_DM_ALG_HIZ         (0x00u << PinOutB_DRIVE_MODE_SHIFT)
#define PinOutB_DM_DIG_HIZ         (0x01u << PinOutB_DRIVE_MODE_SHIFT)
#define PinOutB_DM_RES_UP          (0x02u << PinOutB_DRIVE_MODE_SHIFT)
#define PinOutB_DM_RES_DWN         (0x03u << PinOutB_DRIVE_MODE_SHIFT)
#define PinOutB_DM_OD_LO           (0x04u << PinOutB_DRIVE_MODE_SHIFT)
#define PinOutB_DM_OD_HI           (0x05u << PinOutB_DRIVE_MODE_SHIFT)
#define PinOutB_DM_STRONG          (0x06u << PinOutB_DRIVE_MODE_SHIFT)
#define PinOutB_DM_RES_UPDWN       (0x07u << PinOutB_DRIVE_MODE_SHIFT)

/* Digital Port Constants */
#define PinOutB_MASK               PinOutB__MASK
#define PinOutB_SHIFT              PinOutB__SHIFT
#define PinOutB_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define PinOutB_PS                     (* (reg32 *) PinOutB__PS)
/* Port Configuration */
#define PinOutB_PC                     (* (reg32 *) PinOutB__PC)
/* Data Register */
#define PinOutB_DR                     (* (reg32 *) PinOutB__DR)
/* Input Buffer Disable Override */
#define PinOutB_INP_DIS                (* (reg32 *) PinOutB__PC2)


#if defined(PinOutB__INTSTAT)  /* Interrupt Registers */

    #define PinOutB_INTSTAT                (* (reg32 *) PinOutB__INTSTAT)

#endif /* Interrupt Registers */

#endif /* End Pins PinOutB_H */


/* [] END OF FILE */
