/*******************************************************************************
* File Name: PinOutCc.h  
* Version 2.5
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_PinOutCc_H) /* Pins PinOutCc_H */
#define CY_PINS_PinOutCc_H

#include "cytypes.h"
#include "cyfitter.h"
#include "PinOutCc_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    PinOutCc_Write(uint8 value) ;
void    PinOutCc_SetDriveMode(uint8 mode) ;
uint8   PinOutCc_ReadDataReg(void) ;
uint8   PinOutCc_Read(void) ;
uint8   PinOutCc_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define PinOutCc_DRIVE_MODE_BITS        (3)
#define PinOutCc_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - PinOutCc_DRIVE_MODE_BITS))
#define PinOutCc_DRIVE_MODE_SHIFT       (0x00u)
#define PinOutCc_DRIVE_MODE_MASK        (0x07u << PinOutCc_DRIVE_MODE_SHIFT)

#define PinOutCc_DM_ALG_HIZ         (0x00u << PinOutCc_DRIVE_MODE_SHIFT)
#define PinOutCc_DM_DIG_HIZ         (0x01u << PinOutCc_DRIVE_MODE_SHIFT)
#define PinOutCc_DM_RES_UP          (0x02u << PinOutCc_DRIVE_MODE_SHIFT)
#define PinOutCc_DM_RES_DWN         (0x03u << PinOutCc_DRIVE_MODE_SHIFT)
#define PinOutCc_DM_OD_LO           (0x04u << PinOutCc_DRIVE_MODE_SHIFT)
#define PinOutCc_DM_OD_HI           (0x05u << PinOutCc_DRIVE_MODE_SHIFT)
#define PinOutCc_DM_STRONG          (0x06u << PinOutCc_DRIVE_MODE_SHIFT)
#define PinOutCc_DM_RES_UPDWN       (0x07u << PinOutCc_DRIVE_MODE_SHIFT)

/* Digital Port Constants */
#define PinOutCc_MASK               PinOutCc__MASK
#define PinOutCc_SHIFT              PinOutCc__SHIFT
#define PinOutCc_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define PinOutCc_PS                     (* (reg32 *) PinOutCc__PS)
/* Port Configuration */
#define PinOutCc_PC                     (* (reg32 *) PinOutCc__PC)
/* Data Register */
#define PinOutCc_DR                     (* (reg32 *) PinOutCc__DR)
/* Input Buffer Disable Override */
#define PinOutCc_INP_DIS                (* (reg32 *) PinOutCc__PC2)


#if defined(PinOutCc__INTSTAT)  /* Interrupt Registers */

    #define PinOutCc_INTSTAT                (* (reg32 *) PinOutCc__INTSTAT)

#endif /* Interrupt Registers */

#endif /* End Pins PinOutCc_H */


/* [] END OF FILE */
