/*******************************************************************************
* File Name: TestSw.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_TestSw_H) /* Pins TestSw_H */
#define CY_PINS_TestSw_H

#include "cytypes.h"
#include "cyfitter.h"
#include "TestSw_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    TestSw_Write(uint8 value) ;
void    TestSw_SetDriveMode(uint8 mode) ;
uint8   TestSw_ReadDataReg(void) ;
uint8   TestSw_Read(void) ;
uint8   TestSw_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define TestSw_DRIVE_MODE_BITS        (3)
#define TestSw_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - TestSw_DRIVE_MODE_BITS))

#define TestSw_DM_ALG_HIZ         (0x00u)
#define TestSw_DM_DIG_HIZ         (0x01u)
#define TestSw_DM_RES_UP          (0x02u)
#define TestSw_DM_RES_DWN         (0x03u)
#define TestSw_DM_OD_LO           (0x04u)
#define TestSw_DM_OD_HI           (0x05u)
#define TestSw_DM_STRONG          (0x06u)
#define TestSw_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define TestSw_MASK               TestSw__MASK
#define TestSw_SHIFT              TestSw__SHIFT
#define TestSw_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define TestSw_PS                     (* (reg32 *) TestSw__PS)
/* Port Configuration */
#define TestSw_PC                     (* (reg32 *) TestSw__PC)
/* Data Register */
#define TestSw_DR                     (* (reg32 *) TestSw__DR)
/* Input Buffer Disable Override */
#define TestSw_INP_DIS                (* (reg32 *) TestSw__PC2)


#if defined(TestSw__INTSTAT)  /* Interrupt Registers */

    #define TestSw_INTSTAT                (* (reg32 *) TestSw__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define TestSw_DRIVE_MODE_SHIFT       (0x00u)
#define TestSw_DRIVE_MODE_MASK        (0x07u << TestSw_DRIVE_MODE_SHIFT)


#endif /* End Pins TestSw_H */


/* [] END OF FILE */
