/*******************************************************************************
* File Name: isrENCA.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_isrENCA_H)
#define CY_ISR_isrENCA_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void isrENCA_Start(void);
void isrENCA_StartEx(cyisraddress address);
void isrENCA_Stop(void);

CY_ISR_PROTO(isrENCA_Interrupt);

void isrENCA_SetVector(cyisraddress address);
cyisraddress isrENCA_GetVector(void);

void isrENCA_SetPriority(uint8 priority);
uint8 isrENCA_GetPriority(void);

void isrENCA_Enable(void);
uint8 isrENCA_GetState(void);
void isrENCA_Disable(void);

void isrENCA_SetPending(void);
void isrENCA_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the isrENCA ISR. */
#define isrENCA_INTC_VECTOR            ((reg32 *) isrENCA__INTC_VECT)

/* Address of the isrENCA ISR priority. */
#define isrENCA_INTC_PRIOR             ((reg32 *) isrENCA__INTC_PRIOR_REG)

/* Priority of the isrENCA interrupt. */
#define isrENCA_INTC_PRIOR_NUMBER      isrENCA__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable isrENCA interrupt. */
#define isrENCA_INTC_SET_EN            ((reg32 *) isrENCA__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the isrENCA interrupt. */
#define isrENCA_INTC_CLR_EN            ((reg32 *) isrENCA__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the isrENCA interrupt state to pending. */
#define isrENCA_INTC_SET_PD            ((reg32 *) isrENCA__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the isrENCA interrupt. */
#define isrENCA_INTC_CLR_PD            ((reg32 *) isrENCA__INTC_CLR_PD_REG)



#endif /* CY_ISR_isrENCA_H */


/* [] END OF FILE */
