/*******************************************************************************
* File Name: myUART_IntClock.h
* Version 2.20
*
*  Description:
*   Provides the function and constant definitions for the clock component.
*
*  Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_CLOCK_myUART_IntClock_H)
#define CY_CLOCK_myUART_IntClock_H

#include <cytypes.h>
#include <cyfitter.h>


/***************************************
*        Function Prototypes
***************************************/
#if defined CYREG_PERI_DIV_CMD

void myUART_IntClock_StartEx(uint32 alignClkDiv);
#define myUART_IntClock_Start() \
    myUART_IntClock_StartEx(myUART_IntClock__PA_DIV_ID)

#else

void myUART_IntClock_Start(void);

#endif/* CYREG_PERI_DIV_CMD */

void myUART_IntClock_Stop(void);

void myUART_IntClock_SetFractionalDividerRegister(uint16 clkDivider, uint8 clkFractional);

uint16 myUART_IntClock_GetDividerRegister(void);
uint8  myUART_IntClock_GetFractionalDividerRegister(void);

#define myUART_IntClock_Enable()                         myUART_IntClock_Start()
#define myUART_IntClock_Disable()                        myUART_IntClock_Stop()
#define myUART_IntClock_SetDividerRegister(clkDivider, reset)  \
    myUART_IntClock_SetFractionalDividerRegister((clkDivider), 0u)
#define myUART_IntClock_SetDivider(clkDivider)           myUART_IntClock_SetDividerRegister((clkDivider), 1u)
#define myUART_IntClock_SetDividerValue(clkDivider)      myUART_IntClock_SetDividerRegister((clkDivider) - 1u, 1u)


/***************************************
*             Registers
***************************************/
#if defined CYREG_PERI_DIV_CMD

#define myUART_IntClock_DIV_ID     myUART_IntClock__DIV_ID

#define myUART_IntClock_CMD_REG    (*(reg32 *)CYREG_PERI_DIV_CMD)
#define myUART_IntClock_CTRL_REG   (*(reg32 *)myUART_IntClock__CTRL_REGISTER)
#define myUART_IntClock_DIV_REG    (*(reg32 *)myUART_IntClock__DIV_REGISTER)

#define myUART_IntClock_CMD_DIV_SHIFT          (0u)
#define myUART_IntClock_CMD_PA_DIV_SHIFT       (8u)
#define myUART_IntClock_CMD_DISABLE_SHIFT      (30u)
#define myUART_IntClock_CMD_ENABLE_SHIFT       (31u)

#define myUART_IntClock_CMD_DISABLE_MASK       ((uint32)((uint32)1u << myUART_IntClock_CMD_DISABLE_SHIFT))
#define myUART_IntClock_CMD_ENABLE_MASK        ((uint32)((uint32)1u << myUART_IntClock_CMD_ENABLE_SHIFT))

#define myUART_IntClock_DIV_FRAC_MASK  (0x000000F8u)
#define myUART_IntClock_DIV_FRAC_SHIFT (3u)
#define myUART_IntClock_DIV_INT_MASK   (0xFFFFFF00u)
#define myUART_IntClock_DIV_INT_SHIFT  (8u)

#else 

#define myUART_IntClock_DIV_REG        (*(reg32 *)myUART_IntClock__REGISTER)
#define myUART_IntClock_ENABLE_REG     myUART_IntClock_DIV_REG
#define myUART_IntClock_DIV_FRAC_MASK  myUART_IntClock__FRAC_MASK
#define myUART_IntClock_DIV_FRAC_SHIFT (16u)
#define myUART_IntClock_DIV_INT_MASK   myUART_IntClock__DIVIDER_MASK
#define myUART_IntClock_DIV_INT_SHIFT  (0u)

#endif/* CYREG_PERI_DIV_CMD */

#endif /* !defined(CY_CLOCK_myUART_IntClock_H) */

/* [] END OF FILE */
